> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ctrl-hub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List scheme shares

> List scheme shares.



## OpenAPI

````yaml /api-reference/openapi.yaml get /v3/scheme-shares
openapi: 3.1.0
info:
  contact:
    email: support@ctrl-hub.com
    name: Ctrl Hub
    url: https://www.ctrl-hub.com
  description: >
    Ctrl Hub is the all-in-one platform for high-risk industries like utilities,
    construction, infrastructure, and renewables. We help teams manage
    everything from risk assessments and HAVS exposure to vehicle and equipment
    checks, with a guaranteed minimum of 200% ROI.
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
  summary: An API for managing your compliance and risk posture
  termsOfService: https://www.ctrl-hub.com/terms-conditions
  title: Ctrl Hub
  version: 1.0.0
servers:
  - description: Production
    url: https://api.ctrl-hub.com
  - description: Staging
    url: https://api.ctrl-hub.dev
  - description: Development
    url: https://api.ctrl-hub.run
security: []
tags:
  - description: |
      Audit events are the events that are logged by the system.
    name: Audit Events
  - description: |
      View the platform's health and availability.
    name: Status
  - description: >
      User-owned dashboards composed of cards on a fixed-slot bento layout.
      Cards come from a per-domain registry; the API stores their config as
      opaque JSON.
    name: Dashboards
  - description: |
      Manage appointments for work to be carried out with your customers
    name: Customer Appointments
  - description: |
      Manage interactions you have with your customers
    name: Customer Interactions
  - description: |
      Manage accounts for your customers
    name: Customer Accounts and Contacts
  - description: |
      Qualifications are the skills and knowledge that an organisation requires.
    name: Qualifications
  - description: |
      Workflows allow you to automate your processes.
    name: Workflows
  - description: |
      Manage documents
    name: Documents
  - description: |
      Manage documents
    name: Folders
  - description: |
      Manage documents
    name: Document Reviews
  - description: |
      Manage feature configurations for an organisation.
    name: Feature Configurations
  - description: |
      Equipment are the physical assets that an organisation manages.
    name: Equipment
  - description: |
      Manage your forms and their schemas
    name: Forms, Schemas and Categories
  - description: |
      Create and view form submissions
    name: Submissions
  - description: |
      View the roles available in the system.
    name: IAM Roles
  - description: >
      IAM role groups can be assigned to principals to manage authorisation
      centrally.
    name: IAM Role Groups
  - description: |
      Manage service accounts which can access the API programmatically.
    name: Service Accounts
  - description: |
      Manage bridges between organisations.
    name: Bridges
  - description: |
      Manage settings for an organisation.
    name: Settings
  - description: |
      Manage teams within an organisation.
    name: Teams
  - description: |
      Manage job roles within an organisation.
    name: Job Roles
  - description: |
      Manage users and accounts.
    name: Users
  - description: |
      Invite and manage invitations to organisations.
    name: Invitations
  - description: >
      IAM grants are the asignment of roles or permissions to principals to
      manage resource access.
    name: IAM Grants
  - description: |
      View the permissions available in the system.
    name: IAM Permissions
  - description: |
      SSO providers are the identity providers for an organisation.
    name: SSO Providers
  - description: |
      Whoami returns information about the currently authenticated principal.
    name: Whoami
  - description: |
      Manage your images
    name: Images
  - description: >
      Organisations are the center point for most resources in the platform.
      Most other endpoints are subresources of an organisation.
    name: Organisations
  - description: |
      Permits managements, integrated with street manager.
    name: Permits
  - description: |
      Projects manage your work and governance.
    name: Projects
  - description: >
      Import templates allow users to save and reuse their CSV importer
      configuration as named templates.
    name: Import Templates
  - description: |
      Properties are the physical locations.
    name: Properties
  - description: |
      Search across schemes, work orders, and operations.
    name: Search
  - description: |
      Provides the API specification in JSON and YAML formats
    name: Specifications
  - description: |
      Streets are the physical roads.
    name: Streets
  - description: |
      Integration with street manager
    name: Street Manager
  - description: |
      Vehicles are the physical vehicles that an organisation manages.
    name: Vehicles
  - description: >
      Scheme contracts (also known as regions) group schemes allocated from the
      network to a contractor.
    name: Scheme Contracts
  - description: >
      Scheme shares allow you to share your schemes with other organisations
      across bridges.
    name: Scheme Shares
  - description: |
      Schemes are large programmes of work
    name: Schemes
  - description: |
      Work orders the component parts of a scheme.
    name: Work Orders
  - description: |
      Operations are the work to be carried out within work orders.
    name: Operations
externalDocs:
  description: More documentation and resources
  url: https://docs.ctrl-hub.com
paths:
  /v3/scheme-shares:
    get:
      tags:
        - Scheme Shares
      summary: List scheme share resources
      description: List scheme shares.
      operationId: ListSchemeShares
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/scheme_shares_include'
        - $ref: '#/components/parameters/scheme_shares_filter'
      responses:
        '200':
          $ref: '#/components/responses/ListSchemeShares'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorised'
        '409':
          $ref: '#/components/responses/Conflict'
        '500':
          $ref: '#/components/responses/InternalServerError'
      security:
        - Session: []
        - OAuth2: []
        - Cookie: []
components:
  parameters:
    limit:
      name: limit
      in: query
      description: Limit the number of resources returned by the API
      required: false
      schema:
        type: integer
        format: int64
        minimum: 1
        default: 100
    offset:
      name: offset
      in: query
      description: Offset the resources returned by the API
      required: false
      schema:
        type: integer
        format: int64
        minimum: 0
        default: 0
    scheme_shares_include:
      name: include
      in: query
      description: A comma separated list of related resources to include.
      required: false
      style: form
      explode: false
      schema:
        type: array
        items:
          type: string
          enum:
            - organisation_bridge
            - owner
            - shared_by
            - shared_with
            - scheme
    scheme_shares_filter:
      name: filter
      in: query
      description: >
        Filters the response data based on the value provided.


        Available filters:


        - `id`: Filter by scheme share ID

        - `scheme.id`: Filter by scheme ID

        - `bridge`: Filter by organisation bridge ID

        - `owner`: Filter by the organisation that created the share

        - `shared_by`: Filter by the organisation sharing the scheme

        - `shared_with`: Filter by the organisation the scheme is shared with

        - `organisation`: Filter by any organisation involved in the share
        (shared_by or shared_with)


        For more information on using named filters, see [the
        docs](https://docs.ctrl-hub.com/api-reference/features#filtering)
      required: false
      schema:
        type: string
        default: ''
  responses:
    ListSchemeShares:
      description: List scheme shares.
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            allOf:
              - type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/SchemeShare'
                  included:
                    $ref: '#/components/schemas/SchemeShareIncludes'
              - $ref: '#/components/schemas/DocumentMeta'
              - $ref: '#/components/schemas/JSONAPI'
    BadRequest:
      description: >
        There was an error with the request - this could be due to an invalid
        body, query parameters,

        or headers that were sent to the API.
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: 98ca4a78-b66f-4234-9719-aaf832ee6669
            status: '400'
            title: A validation error was encountered
            source:
              parameter: include
            meta:
              resource: wrong_value
    Unauthorised:
      description: Authentication failed
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: 05fc9c8d-73b9-4697-9337-57f7a567a48f
            status: '401'
            title: You are not authorised to access this resource
            detail: In order to access this resource, you need the 'admin' role.
            code: AUTH.001
    Conflict:
      description: The request conflicts with the current state of the resource
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: 8e2f9a34-b5c6-4d7e-9f8a-2b3c4d5e6f7g
            status: '409'
            title: Conflict
            detail: The request conflicts with the current state of the resource.
            code: CONFLICT.001
    InternalServerError:
      description: There was a problem handling the request on the server side
      headers:
        Content-Type:
          $ref: '#/components/headers/content-type'
        Content-Length:
          $ref: '#/components/headers/content-length'
        X-Request-ID:
          $ref: '#/components/headers/x-request-id'
      content:
        application/vnd.api+json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  $ref: '#/components/schemas/Error'
          example:
            id: fe9d9a69-f0a7-4fdc-bb2c-176027f316c5
            status: '500'
            title: Internal Server Error
            detail: An unexpected error occurred on the server.
  headers:
    content-type:
      description: The content type of the response
      schema:
        type: string
      example: application/vnd.api+json
    content-length:
      description: The length of the response body in bytes
      schema:
        type: integer
        format: int32
      example: 1234
    x-request-id:
      description: >-
        An ID that can be provided when reporting bugs to help identify the
        issue
      schema:
        type: string
      example: 8470f56af4cf25e22be08e72c70dbbdc
  schemas:
    SchemeShare:
      type: object
      description: A scheme share
      required:
        - id
        - type
        - attributes
        - relationships
        - meta
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the scheme share.
        type:
          type: string
          const: scheme-shares
        attributes:
          $ref: '#/components/schemas/SchemeShareAttributes'
        relationships:
          $ref: '#/components/schemas/SchemeShareRelationships'
        meta:
          $ref: '#/components/schemas/SchemeShareMeta'
    SchemeShareIncludes:
      type: array
      description: Related resources that can be included when a scheme share is returned
      items:
        discriminator:
          propertyName: type
          mapping:
            organisations:
              $ref: '#/components/schemas/Organisation'
            organisation-bridges:
              $ref: '#/components/schemas/OrganisationBridge'
            schemes:
              $ref: '#/components/schemas/Scheme'
        oneOf:
          - $ref: '#/components/schemas/Organisation'
          - $ref: '#/components/schemas/OrganisationBridge'
          - $ref: '#/components/schemas/Scheme'
    DocumentMeta:
      type: object
      description: Document level meta about the resources on the server in list endpoints.
      required:
        - meta
      properties:
        meta:
          type: object
          required:
            - pagination
          properties:
            features:
              $ref: '#/components/schemas/Features'
            pagination:
              $ref: '#/components/schemas/Pagination'
    JSONAPI:
      type: object
      description: JSON API response object
      required:
        - jsonapi
      properties:
        jsonapi:
          type: object
          required:
            - version
          properties:
            version:
              type: string
              description: The version of the JSON API specification
              examples:
                - '1.0'
    Error:
      type: object
      description: An error response
      properties:
        id:
          description: >-
            A unique identifier for this particular occurrence of the problem.
            If you encounter this, please provide us with the error ID and we
            can investigate it on our side.
          type: string
          format: uuid
          examples:
            - 05fc9c8d-73b9-4697-9337-57f7a567a48f
        status:
          description: >-
            The status code for the error. This might not match the HTTP status
            code if there are more that one errors to return with different
            status codes.
          type: string
          examples:
            - '401'
            - '500'
        title:
          description: A human readable title for the error.
          type: string
          examples:
            - You are not authorised to access this resource
        detail:
          description: >-
            Where there is more detail that we can provide outside of the title,
            we will provide it here.
          type: string
          examples:
            - In order to access this resource, you need the 'admin' role.
        code:
          description: >-
            A unique code for the error that may help us to diagnose the issue.
            Not all errors have codes, so this is usually empty.
          type: string
          examples:
            - AUTH.001
        source:
          description: A JSON object containing additional information about the error.
          type: object
          properties:
            pointer:
              description: >-
                A JSON Pointer to the value in the request that caused the
                error.
              type: string
              examples:
                - /data/attributes/email
            parameter:
              description: >-
                A string indicating which query parameter in the request caused
                the error.
              type: string
              examples:
                - include
      required:
        - id
        - status
        - title
    SchemeShareAttributes:
      type: object
      description: Attributes for a scheme share
      required:
        - permissions
        - read_only
      properties:
        permissions:
          type: array
          items:
            type: string
        read_only:
          type: boolean
          description: Indicates whether the scheme share is read-only
    SchemeShareRelationships:
      type: object
      required:
        - organisation_bridge
        - owner
        - shared_by
        - shared_with
        - scheme
      description: Relationships for a scheme share
      properties:
        organisation_bridge:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/OrganisationBridgeRelationship'
        owner:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/OrganisationRelationship'
        shared_by:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/OrganisationRelationship'
        shared_with:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/OrganisationRelationship'
        scheme:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/SchemeRelationship'
    SchemeShareMeta:
      type: object
      description: Metadata for a scheme
      required:
        - start
        - end
      properties:
        start:
          type: string
          format: date-time
        end:
          type: string
          format: date-time
    Organisation:
      type: object
      description: An organisation
      required:
        - id
        - type
        - attributes
        - meta
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the organisation.
        type:
          type: string
          const: organisations
        attributes:
          $ref: '#/components/schemas/OrganisationAttributes'
        meta:
          $ref: '#/components/schemas/OrganisationMeta'
        relationships:
          $ref: '#/components/schemas/OrganisationRelationships'
    OrganisationBridge:
      type: object
      description: An organisation bridge
      required:
        - id
        - type
        - meta
        - relationships
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the organisation bridge.
        type:
          type: string
          const: organisation-bridges
        meta:
          $ref: '#/components/schemas/OrganisationBridgeMeta'
        relationships:
          $ref: '#/components/schemas/OrganisationBridgeRelationships'
    Scheme:
      type: object
      description: A scheme
      required:
        - id
        - type
        - attributes
        - meta
        - relationships
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the scheme.
        type:
          type: string
          const: schemes
        attributes:
          $ref: '#/components/schemas/SchemeAttributes'
        meta:
          $ref: '#/components/schemas/SchemeMeta'
        relationships:
          $ref: '#/components/schemas/SchemeRelationships'
    Features:
      type: object
      description: Represents feature configurations of the API
      properties:
        include:
          type: object
          properties:
            options:
              type: array
              items:
                type: string
                examples:
                  - related.resource
    Pagination:
      type: object
      description: Represents pagination details for API responses
      required:
        - counts
        - current_page
        - offsets
        - requested
      properties:
        counts:
          type: object
          required:
            - pages
            - resources
          properties:
            pages:
              type: integer
              examples:
                - 1
            resources:
              type: integer
              examples:
                - 1
        current_page:
          type: integer
          examples:
            - 1
        offsets:
          type: object
          required:
            - next
            - previous
          properties:
            next:
              type:
                - integer
                - 'null'
              examples:
                - null
            previous:
              type:
                - integer
                - 'null'
              examples:
                - null
        requested:
          type: object
          required:
            - limit
            - offset
          properties:
            limit:
              type: integer
              examples:
                - 10
            offset:
              type: integer
              examples:
                - 0
    OrganisationBridgeRelationship:
      type: object
      description: Represents a relationship to an organisation bridge
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the organisation bridge
        type:
          type: string
          const: organisation-bridges
    OrganisationRelationship:
      type: object
      description: Represents a relationship to an organisation
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the organisation
        type:
          type: string
          const: organisations
    SchemeRelationship:
      type: object
      description: Represents a relationship to a scheme
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the scheme
        type:
          type: string
          const: schemes
    OrganisationAttributes:
      type: object
      description: Attributes for an organisation
      required:
        - name
        - slug
        - sandbox
      properties:
        name:
          type: string
          description: The name of the organisation.
          examples:
            - Acme Construction Ltd
        slug:
          type: string
          description: The URL-friendly identifier for the organisation.
          examples:
            - acme-construction
        description:
          type: string
          description: A short description of the organisation.
          examples:
            - >-
              Leading construction company specializing in infrastructure
              projects
        sandbox:
          type: boolean
          description: Whether the organisation is a sandbox (i.e. a test organisation)
          examples:
            - false
        settings:
          type: object
    OrganisationMeta:
      type: object
      description: Meta information for an organisation
      required:
        - v3
        - status
      properties:
        created_at:
          type: string
          format: date-time
          description: The creation time of the organisation.
          examples:
            - '2023-01-15T10:30:00.000Z'
        updated_at:
          type: string
          format: date-time
          description: The last update time of the organisation.
          examples:
            - '2023-02-20T14:45:00.000Z'
        v3:
          type: boolean
          description: Whether the organisation is using version 3 exclusively.
          examples:
            - true
        status:
          type: string
          enum:
            - active
            - inactive
          default: active
          description: The current status of the organisation.
          examples:
            - active
        features:
          type: array
          description: Available features and their limits for the organisation.
          items:
            type: object
            properties:
              name:
                type: string
                description: The name of the feature.
                examples:
                  - advanced_reporting
              enabled:
                type: boolean
                description: Whether the feature is enabled.
                examples:
                  - true
              limit:
                type: integer
                description: The usage limit for this feature (if applicable).
                examples:
                  - 1000
    OrganisationRelationships:
      type: object
      description: Relationships for an organisation
      properties:
        users:
          type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/UserRelationship'
        service_accounts:
          type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/ServiceAccountRelationship'
        groups:
          type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/UserGroupRelationship'
        teams:
          type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/TeamRelationship'
        nomenclature:
          type: object
          required:
            - data
          properties:
            data:
              oneOf:
                - $ref: '#/components/schemas/NomenclatureRelationship'
                - type: 'null'
    OrganisationBridgeMeta:
      type: object
      description: Meta information for an organisation bridge request
      required:
        - start
      properties:
        start:
          type: string
          format: date-time
          description: The time the organisation bridge became active.
          examples:
            - '2023-01-15T10:30:00.000Z'
        end:
          type: string
          format: date-time
          description: The time the organisation bridge became inactive.
          examples:
            - '2023-02-20T14:45:00.000Z'
    OrganisationBridgeRelationships:
      type: object
      description: Relationships of an organisation bridge
      required:
        - initiating_organisation
        - recipient_organisation
        - originating_request
      properties:
        initiating_organisation:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/OrganisationRelationship'
        recipient_organisation:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/OrganisationRelationship'
        originating_request:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/OrganisationBridgeRequestRelationship'
    SchemeAttributes:
      type: object
      description: Attributes for a scheme
      required:
        - name
      properties:
        name:
          type: string
        code:
          type: string
        description:
          type: string
        dates:
          type: object
          properties:
            anticipated:
              type: object
              properties:
                start:
                  type: string
                  format: date-time
                end:
                  type: string
                  format: date-time
        labels:
          type: array
          items:
            $ref: '#/components/schemas/Label'
    SchemeMeta:
      type: object
      description: Metadata for a scheme
      required:
        - created_at
        - updated_at
        - from_template
        - modified_at
        - dates
        - completeness
        - counts
        - is_default
      properties:
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        modified_at:
          type: string
          format: date-time
        imported_at:
          type: string
          format: date-time
        from_template:
          description: Whether this scheme was created from a template.
          type: boolean
        dates:
          type: object
          properties:
            scheduled:
              type: object
              properties:
                start:
                  type: string
                  format: date-time
                end:
                  type: string
                  format: date-time
        counts:
          type: object
          properties:
            operations:
              type: integer
              description: >-
                The number of operations in this scheme (from all of the work
                orders).
              format: int64
              minimum: 0
              default: 0
            permits:
              type: integer
              description: >-
                The number of permits in this scheme (from all of the operations
                in all of the work orders).
              format: int64
              minimum: 0
              default: 0
            properties:
              type: integer
              description: >-
                The number of properties in this scheme (from all of the
                operations in all of the work orders).
              format: int64
              minimum: 0
              default: 0
            streets:
              type: integer
              description: >-
                The number of streets in this scheme (from all of the operations
                in all of the work orders).
              format: int64
              minimum: 0
              default: 0
            work_orders:
              type: integer
              description: The number of work orders in this scheme.
              format: int64
              minimum: 0
              default: 0
        completeness:
          type: object
          required:
            - counts
            - percentage
            - statuses
            - done_reasons
          properties:
            percentage:
              type: object
              required:
                - completed
                - aborted
                - unknown
                - cancelled
              properties:
                completed:
                  type: number
                  minimum: 0
                  maximum: 100
                  default: 0
                aborted:
                  type: number
                  minimum: 0
                  maximum: 100
                  default: 0
                unknown:
                  type: number
                  minimum: 0
                  maximum: 100
                  default: 100
                cancelled:
                  type: number
                  minimum: 0
                  maximum: 100
                  default: 0
            counts:
              type: object
              required:
                - completed
                - aborted
                - unknown
                - cancelled
              properties:
                completed:
                  type: integer
                  minimum: 0
                  default: 0
                aborted:
                  type: integer
                  minimum: 0
                  default: 0
                unknown:
                  type: integer
                  minimum: 0
                  default: 1
                cancelled:
                  type: integer
                  minimum: 0
                  default: 0
            statuses:
              type: object
              required:
                - counts
                - percentages
              properties:
                counts:
                  type: object
                  required:
                    - done
                    - in_progress
                    - todo
                  properties:
                    done:
                      type: integer
                      minimum: 0
                      default: 0
                    in_progress:
                      type: integer
                      minimum: 0
                      default: 0
                    todo:
                      type: integer
                      minimum: 0
                      default: 0
                percentages:
                  type: object
                  required:
                    - done
                    - in_progress
                    - todo
                  properties:
                    done:
                      type: number
                      minimum: 0
                      maximum: 100
                      default: 0
                    in_progress:
                      type: number
                      minimum: 0
                      maximum: 100
                      default: 0
                    todo:
                      type: number
                      minimum: 0
                      maximum: 100
                      default: 0
            done_reasons:
              type: object
              required:
                - counts
                - percentages
              properties:
                counts:
                  type: object
                  required:
                    - aborted
                    - cancelled
                    - completed
                  properties:
                    aborted:
                      type: integer
                      minimum: 0
                      default: 0
                    cancelled:
                      type: integer
                      minimum: 0
                      default: 0
                    completed:
                      type: integer
                      minimum: 0
                      default: 0
                percentages:
                  type: object
                  required:
                    - aborted
                    - cancelled
                    - completed
                  properties:
                    aborted:
                      type: number
                      minimum: 0
                      maximum: 100
                      default: 0
                    cancelled:
                      type: number
                      minimum: 0
                      maximum: 100
                      default: 0
                    completed:
                      type: number
                      minimum: 0
                      maximum: 100
                      default: 0
        is_default:
          type: boolean
          default: false
    SchemeRelationships:
      type: object
      description: Relationships for a scheme
      required:
        - organisation
      properties:
        scheme_template:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/SchemeTemplateRelationship'
        work_orders:
          type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/WorkOrderRelationship'
        template:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/SchemeTemplateRelationship'
        site_managers:
          type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/UserRelationship'
        assignees:
          type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/UserRelationship'
        teams:
          type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/TeamRelationship'
        organisation:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/OrganisationRelationship'
        folder:
          type: object
          required:
            - data
          properties:
            data:
              $ref: '#/components/schemas/FolderRelationship'
        contracts:
          type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/SchemeContractRelationship'
    UserRelationship:
      type: object
      description: Represents a relationship to a user
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the user
        type:
          type: string
          const: users
    ServiceAccountRelationship:
      type: object
      description: Represents a relationship to a service account
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the service account
        type:
          type: string
          const: service-accounts
    UserGroupRelationship:
      type: object
      description: Represents a relationship to a group
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the group
        type:
          type: string
          const: groups
    TeamRelationship:
      type: object
      description: Represents a relationship to a team
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the team
        type:
          type: string
          const: teams
    NomenclatureRelationship:
      type: object
      description: Represents a relationship to a nomenclature resource
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the nomenclature resource
        type:
          type: string
          const: nomenclature
    OrganisationBridgeRequestRelationship:
      type: object
      description: Represents a relationship to an organisation bridge request
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the organisation bridge request
        type:
          type: string
          const: organisation-bridge-requests
    Label:
      type: object
      description: A label object
      required:
        - key
        - value
      properties:
        key:
          type: string
          minLength: 1
          examples:
            - Your label key
        value:
          type: string
          examples:
            - Your label value
    SchemeTemplateRelationship:
      type: object
      description: Represents a relationship to a scheme template
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the scheme template
        type:
          type: string
          const: scheme-templates
    WorkOrderRelationship:
      type: object
      description: Represents a relationship to a work order
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the work order
        type:
          type: string
          const: work-orders
    FolderRelationship:
      type: object
      description: Represents a relationship to a folder
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the folder
        type:
          type: string
          const: folders
    SchemeContractRelationship:
      type: object
      description: Represents a relationship to a scheme contract
      required:
        - id
        - type
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the scheme contract
        type:
          type: string
          const: scheme-contracts
  securitySchemes:
    Session:
      description: |
        Session token for authentication.
      in: header
      name: X-Session-Token
      type: apiKey
    OAuth2:
      description: |
        OAuth2 token for authentication.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: https://auth.ctrl-hub.com/oauth2/token
      type: oauth2
    Cookie:
      description: |
        Cookie token for authentication.
      in: cookie
      name: ctrl_hub_session
      type: apiKey

````